juju lint expecting hw-health on VM

Bug #1903973 reported by Michał Ajduk
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Juju Lint
Fix Committed
Low
Mert Kirpici

Bug Description

Juju-lint expects hw-health charm to be deployed on VM, in this example vault:

2020-11-12-09:39:47 fce.openstack.juju-lint WARNING 2020-11-12 09:39:46 [INFO] juju-lint version 1.0.2.dev7+g39fd901 starting...
        * Config directory: /home/ubuntu/.config/juju-lint
        * Rules file: /snap/juju-lint/current/contrib/canonical-rules.yaml
        * Log level: info

2020-11-11 15:13:53 [ERROR] [/home/ubuntu/deploy/generated/openstack/juju_status.json] [manual/manual] -> hw-health [vault]

Juju output for this machine:
machines:
  "0":
    juju-status:
      current: started
      since: 02 Nov 2020 09:00:31Z
      version: 2.8.5
    dns-name: 10.216.241.249
    ip-addresses:
    - 10.216.241.249
    - 10.216.245.221
    instance-id: c8cnde
    display-name: vault-1
    machine-status:
      current: running
      message: Deployed
      since: 02 Nov 2020 09:00:42Z
    modification-status:
      current: idle
      since: 02 Nov 2020 08:56:50Z
    series: bionic
    network-interfaces:
      eth0:
        ip-addresses:
        - 10.216.241.249
        mac-address: 52:54:00:43:9d:5d
        gateway: 10.216.241.254
        space: oam-space
        is-up: true
      eth1:
        ip-addresses:
        - 10.216.245.221
        mac-address: 52:54:00:b8:85:0b
        space: internal-space
        is-up: true
    constraints: tags=vault
    hardware: arch=amd64 cores=2 mem=4096M tags=virtual,pod-console-logging,vault

Tags: bseng-1509

Related branches

Revision history for this message
Michał Ajduk (majduk) wrote :
Andrea Ieri (aieri)
Changed in juju-lint:
importance: Undecided → Medium
Jose Guedez (jfguedez)
Changed in juju-lint:
assignee: nobody → Jose Guedez (jfguedez)
status: New → In Progress
Jose Guedez (jfguedez)
Changed in juju-lint:
status: In Progress → Fix Released
Revision history for this message
Paul Goins (vultaire) wrote :

I'm not sure this is fixed. I'm re-opening this bug.

Observed during a recent cloud's juju-lint runs:

2023-08-23 11:54:38 [ERROR] [juju-status-lma.json] [manual/manual] Subordinate 'hw-health' is missing for application(s): 'elasticsearch, grafana, graylog, landscape-postgresql, landscape-rabbitmq-server, landscape-server, landscape-server-haproxy, nagios, prometheus'

The above are all KVMs. The patch here seems to use some sort of heuristic for detecting that these are VMs, but it might not be working consistently.

Changed in juju-lint:
status: Fix Released → New
Eric Chen (eric-chen)
tags: added: bseng-1509
Revision history for this message
Andrea Ieri (aieri) wrote :

We may be able to reuse the detection logic of prometheus-juju-exporter

Changed in juju-lint:
status: New → Triaged
importance: Medium → Low
assignee: Jose Guedez (jfguedez) → nobody
Revision history for this message
Mert Kirpici (mertkirpici) wrote :

Hi Paul, could you share the bundle or the status file that you have observed this issue again?

Andrea Ieri (aieri)
Changed in juju-lint:
status: Triaged → Incomplete
Changed in juju-lint:
assignee: nobody → Mert Kirpici (mertkirpici)
Revision history for this message
Paul Goins (vultaire) wrote :

@Mert: This was from a "juju status" run against the LMA model. I've reviewed the juju-lint output and am attaching it now; the "juju status" output may need sanitization, so please give me a little time on that.

Revision history for this message
Paul Goins (vultaire) wrote :

Here is the juju status output (sanitized) which should have generated the above.

Revision history for this message
Mert Kirpici (mertkirpici) wrote :

Hi Paul thanks for the resouces.

I think I understand where the error is coming from.

During the previous handling of this issue, the canonical-rules.yaml file did not get an update, however the base.yaml that is included in the fcb-* rulesets got one. The comment in canonical-rules.yaml file says that it is a "legacy" ruleset so I am guessing that is why the change was not propagated to that file, however I see no reason not to propogate this change into that file as well.

Therefore I did go ahead and propose the small change on the "legacy" ruleset(canonical-rules.yaml). This should resolve the issue.

Changed in juju-lint:
status: Incomplete → Fix Committed
Revision history for this message
Mert Kirpici (mertkirpici) wrote :

Rev 110, containing the fix for this issue is released to the edge channel.

Tianqi Xiao (txiao)
Changed in juju-lint:
milestone: none → 1.2.0
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.